--- usr.sbin/syslogd/syslogd.c.orig	2011-03-03 22:46:29.000000000 +0100
+++ usr.sbin/syslogd/syslogd.c	2011-03-03 22:46:18.000000000 +0100
@@ -3970,12 +3970,12 @@
 			continue;
 		}
 
+		if (bind(s->fd, r->ai_addr, r->ai_addrlen) < 0) {
+			logerror("bind() failed");
+			close(s->fd);
+			continue;
+		}
 		if (!SecureMode) {
-			if (bind(s->fd, r->ai_addr, r->ai_addrlen) < 0) {
-				logerror("bind() failed");
-				close(s->fd);
-				continue;
-			}
 			s->ev = allocev();
 			event_set(s->ev, s->fd, EV_READ | EV_PERSIST,
 				dispatch_read_finet, s->ev);
